LibreOffice: XHierarchicalStorageAccess2 Interface Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Public Member Functions | List of all members
XHierarchicalStorageAccess2 Interface Reference

This interface extends XHierarchicalStorageAccess interface. More...

`import"XHierarchicalStorageAccess2.idl";`

Inheritance diagram for XHierarchicalStorageAccess2:

## Public Member Functions
XExtendedStorageStream | openEncryptedStreamByHierarchicalName ([in] string sStreamName, [in] long nOpenMode, [in] sequence< ::com::sun::star::beans::NamedValue > aEncryptionData) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::packages::NoEncryptionException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get access to a child encrypted stream with encryption data using hierarchical path. More...
Public Member Functions inherited from XHierarchicalStorageAccess
XExtendedStorageStream | openStreamElementByHierarchicalName ([in] string sStreamPath, [in] long nOpenMode) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get access to a child stream of the storage, using hierarchical path. More...
XExtendedStorageStream | openEncryptedStreamElementByHierarchicalName ([in] string sStreamName, [in] long nOpenMode, [in] string sPassword) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::packages::NoEncryptionException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get access to a child encrypted stream with password using hierarchical path. More...
void | removeStreamElementByHierarchicalName ([in] string sElementPath) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| removes a stream specified by hierarchical name from a storage. More...

## Detailed Description

This interface extends XHierarchicalStorageAccess interface.

## Member Function Documentation

## ◆ openEncryptedStreamByHierarchicalName()

XExtendedStorageStream openEncryptedStreamByHierarchicalName | ( | [in] string | sStreamName,
|  | [in] long | nOpenMode,
|  | [in] sequence< ::com::sun::star::beans::NamedValue > | aEncryptionData
| ) |  |
raises | ( | ::com::sun::star::embed::InvalidStorageException,
|  | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::packages::NoEncryptionException,
|  | ::com::sun::star::packages::WrongPasswordException,
|  | ::com::sun::star::container::NoSuchElementException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::embed::StorageWrappedTargetException
| ) |  |

allows to get access to a child encrypted stream with encryption data using hierarchical path.

If storage does not allow any encryption this method will always throw com::sun::star::packages::NoEncryptionException.

In case the stream is open in readonly mode the com::sun::star::io::XStream::getOutputStream() method will return an empty reference.

Parameters

  sStreamName | the path to the substream that should be open
  nOpenMode | a mode the stream should be open in, can be a combination of ElementModes values
  aEncryptionData | this parameter allowes to specify an encryption data for the stream, the data must be correct, otherwise an exception will be thrown

Exceptions

  com::sun::star::embed::InvalidStorageException | this storage is in invalid state for any reason
  com::sun::star::lang::IllegalArgumentException | one of provided arguments is illegal
  com::sun::star::packages::NoEncryptionException | the stream is not encrypted
  com::sun::star::packages::WrongPasswordException | the provided password is wrong
  com::sun::star::io::IOException | in case of io errors during stream opening
  com::sun::star::embed::StorageWrappedTargetException | wraps other exceptions

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XHierarchicalStorageAccess2.idl